Subject: Re: selftests: gpio: crash on arm64

From: Andy Shevchenko <[email-masked]>
Date: Tue, 20 Jun 2023 19:40:21 +0300

On Tue, Apr 11, 2023 at 10:57:28AM +0200, Linus Walleij wrote:
> On Mon, Apr 10, 2023 at 11:16 AM Naresh Kamboju
> <[email-masked]> wrote:

...

> Add a pr_info() devm_gpio_chip_release() in drivers/gpio/gpiolib-devres.c
> and see if the callback is even called. I think this could be the
> problem: if that isn't cleaned up, there will be dangling references.

Side note: Since we have devres tracepoints, your patch seems an overkill :-)
Just enable devres tracepoints and filter out by the function name. I believe
that should work.

-- 
With Best Regards,
Andy Shevchenko